### Method

# Gtk IconView get_item_at_pos

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_icon_view_get_item_at_pos (
      GtkIconView* icon_view,
      int x,
      int y,
      GtkTreePath** path,
      GtkCellRenderer** cell
    )

#### Description [src]

Gets the path and cell for the icon at the given position.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`x`

  Type: `int`

  The x position to be identified.

`y`

  Type: `int`

  The y position to be identified.

`path`

  Type: `GtkTreePath`

  Return location for the path.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cell`

  Type: `GtkCellRenderer`

  Return location for the renderer responsible for the cell at (`x`, `y`).

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if an item exists at the specified position.